Why PHP is so much more popular for web-development

Carsten Haese carsten at uniqsys.com
Wed Jul 25 23:21:38 CEST 2007


On Wed, 2007-07-25 at 13:55 -0700, walterbyrd wrote:
> On Jul 25, 2:12 pm, Carsten Haese <cars... at uniqsys.com> wrote:
> 
> > Also, CherryPy's requirements are very
> > minimal.
> 
> In terms of memory and CPU, maybe. But I think that *requires* apache
> 2.x and a very recent version of   mod_python. By web-hosting
> standards, those are very steep requirements.

Apache 2 came out 5 years ago. I wouldn't trust a web hosting provider
who can't be bothered to install software that's been out for 5 years to
stay up to date on security patches. You get what you pay for.

Also, CherryPy does not *require* Apache. It supplies its own web
server. Getting that server to run on a shared host may be a problem,
but it is incorrect to state that CherryPy *requires* Apache 2.

-- 
Carsten Haese
http://informixdb.sourceforge.net





More information about the Python-list mailing list